\begin{tabular}{|l||r|r|r|r|r||r|r|r||r|r|r||r|r|r||r|}
\hline 
Software & \#\ class  & NC- & \#\ Insn. & \#\ Bran. & \#\ Mut. & \multicolumn{3}{c||}{Insn. cov.\ {[}\%{]}} & \multicolumn{3}{c||}{Bran. cov.\ {[}\%{]}} & \multicolumn{3}{r||}{Mut. score\ {[}\%{]}} & T.\ ratio\tabularnewline
\cline{7-15} 
(version) & ({*}.class) & LOC & (all) & (all) & (all) & Ran. & GRT & Evo. & Ran. & GRT & Evo. & Ran. & GRT & Evo. &  Evo.\tabularnewline
\hline 
\hline 
A4J (1.0b) &  45  &  3,602  &  9,773  &  544  &  936  & 83.7 & \textbf{84.7} & 83.7 & 52.9 & 55.5 & \textbf{61.9} & 62.7 & \textbf{64.7} & 61.5 & 0.6\tabularnewline
\hline 
Apache BCEL (5.2) &  383  &  23,631  &  65,719  &  5,133  &  7,209  & 42.2 & \textbf{46.3} & 38.1 & 26.2 & \textbf{30.1} & 23.9 & 27.8 & \textbf{32.0} & 24.0 & 3.5\tabularnewline
\hline 
Apache C. Codec (1.9) &  85  &  5,803  &  24,960  &  1,835  &  2,747  & 91.7 & \textbf{95.2} & 94.0 & 79.8 & 84.4 & \textbf{85.0} & 76.8 & \textbf{82.5} & 65.2 & 1.0\tabularnewline
\hline 
Apache C. Collection (4.0) &  431  &  23,713  &  47,324  &  5,499  &  7,401  & 50.0 & \textbf{72.5} & 29.6 & 38.2 & \textbf{60.6} & 21.7 & 40.4 & \textbf{60.4} & 27.8 & 5.1\tabularnewline
\hline 
Apache C. Compress (1.8) &  191  &  17,462  &  57,083  &  4,634  &  7,605  & 18.0 & \textbf{58.4} & 50.8 & 16.1 & \textbf{42.4} & 28.0 & 15.5 & \textbf{46.7} & 24.0 & 1.6\tabularnewline
\hline 
Apache C. Math (3.2) &  1,001  &  81,792  &  288,250  &  18,576  &  41,023  & 39.4 & \textbf{61.0} & 55.3 & 25.3 & \textbf{43.5} & 36.7 & 18.8 & \textbf{32.5} & 27.4 & 9.2\tabularnewline
\hline 
Apache C. Primitive (1.0) &  259  &  9,836  &  18,462  &  1,446  &  3,290  & 65.1 & 65.8 & \textbf{80.5} & 74.1 & 75.0 & \textbf{84.8} & 50.2 & 51.8 & \textbf{68.0} & 1.6\tabularnewline
\hline 
Apache Commons Cli (1.2) &  22  &  1,978  &  3,588  &  490  &  512  & 73.0 & 77.5 & \textbf{87.8} & 56.3 & 65.1 & \textbf{82.2} & 72.3 & \textbf{77.7} & 72.1 & 0.6\tabularnewline
\hline 
Apache Shiro-core (1.2.3) &  303  &  13,818  &  27,964  &  3,291  &  3,770  & 65.0 & \textbf{69.5} & 61.2 & 52.2 & \textbf{56.8} & 50.1 & 56.3 & \textbf{61.0} & 46.7 & 2.0\tabularnewline
\hline 
ASM (5.0.1) &  166  &  24,193  &  61,256  &  7,050  &  9,298  & 40.0 & \textbf{64.5} & 37.6 & 27.4 & \textbf{53.7} & 28.3 & 17.8 & \textbf{33.3} & 17.8 & 1.4\tabularnewline
\hline 
Beanbin (1.0b) &  90  &  3,786  &  8,593  &  666  &  898  & 28.0 & 31.2 & \textbf{32.8} & 24.9 & 26.1 & \textbf{29.1} & 28.4 & \textbf{29.8} & 27.5 & 0.7\tabularnewline
\hline 
ClassViewer (5.0.5b) &  24  &  1,485  &  5,266  &  470  &  609  & 13.2 & \textbf{25.9} & 25.4 & 16.2 & \textbf{34.5} & 19.1 & 17.2 & \textbf{38.3} & 12.6 & 0.9\tabularnewline
\hline 
Easymock (3.2) &  90  &  4,372  &  9,449  &  915  &  1,382  & 48.2 & \textbf{68.1} & 48.3 & 33.3 & \textbf{51.8} & 40.3 & 25.3 & \textbf{62.4} & 43.2 & 0.7\tabularnewline
\hline 
Fixsuite (R48) &  42  &  2,665  &  3,486  &  256  &  804  & 38.1 & \textbf{47.7} & 32.6 & 25.8 & \textbf{39.5} & 26.2 & 15.3 & \textbf{16.4} & 15.5 & 0.4\tabularnewline
\hline 
Follow (1.7.4) &  96  &  4,812  &  9,504  &  487  &  1,090  & 18.3 & 26.5 & \textbf{40.5} & 25.1 & \textbf{33.5} & 28.7 & 12.4 & \textbf{16.2} & 12.1 & 1.2\tabularnewline
\hline 
Guava (16.0.1) &  1,678  &  66,566  &  136,321  &  11,247  &  20,709  & 35.3 & \textbf{47.9} & 36.5 & 26.9 & \textbf{42.7} & 29.1 & 20.8 & \textbf{33.4} & 26.6 & 11.6\tabularnewline
\hline 
Jacommander (1.36) &  50  &  2,154  &  5,688  &  640  &  686  & 34.1 & 36.6 & \textbf{37.6} & 25.2 & \textbf{28.8} & 27.3 & 23.8 & \textbf{29.2} & 26.4 & 0.3\tabularnewline
\hline 
Java Simp. Arg. Parser (2.1) &  69  &  4,888  &  8,623  &  714  &  969  & \textbf{76.1} & 69.3 & \textbf{75.4} & 58.0 & 64.7 & \textbf{69.9} & 64.4 & 67.0 & \textbf{70.9} & 0.6\tabularnewline
\hline 
Java View Control (1.1) &  25  &  4,617  &  15,650  &  2,064  &  2,084  & 5.9 & \textbf{34.8} & 31.5 & 4.5 & \textbf{17.1} & 14.1 & 6.8 & \textbf{21.2} & 14.0 & 0.7\tabularnewline
\hline 
Javassit (3.19) &  386  &  34,574  &  87,381  &  8,830  &  $-$ & 41.5 & \textbf{62.5} & 31.3 & 28.1 & \textbf{51.5} & 20.9 & $-$ & $-$ & $-$ & 5.7\tabularnewline
\hline 
Javax Mail (1.5.1) &  311  &  28,271  &  79,599  &  9,523  &  11,070  & 42.4 & \textbf{44.5} & $-$ & 33.9 & \textbf{36.7} & $-$ & 16.8 & \textbf{20.8} & $-$ & 1.9\tabularnewline
\hline 
Jaxen (1.1.6) &  214  &  20,345  &  20,352  &  3,323  &  4,338  & 53.9 & 56.3 & \textbf{58.7} & 38.7 & 40.4 & \textbf{44.9} & 41.7 & 34.9 & \textbf{37.2} & 2.1\tabularnewline
\hline 
Jdom (1.0) &  75  &  8,362  &  20,970  &  3,196  &  4,116  & 53.5 & \textbf{62.8} & 54.4 & 38.8 & \textbf{47.0} & 40.5 & 34.4 & \textbf{38.6} & 33.3 & 1.0\tabularnewline
\hline 
Joda Time (2.3) &  232  &  27,638  &  62,627  &  6,172  &  9,838  & 77.5 & \textbf{81.7} & 70.7 & 60.3 & \textbf{65.3} & 57.6 & 71.3 & \textbf{77.1} & 52.2 & 1.9\tabularnewline
\hline 
Mango (2.1 03/2014) &  97  &  2,141  &  3,689  &  382  &  556  & 74.6 & \textbf{85.1} & 54.3 & 58.1 & \textbf{72.5} & 69.4 & 65.6 & \textbf{79.3} & 50.2 & 0.9\tabularnewline
\hline 
Mockito-core (1.9.5) &  640  &  32,318  &  75,077  &  7,194  &  11,076  & 51.4 & \textbf{59.6} & 46.0 & 37.4 & \textbf{48.1} & 36.7 & 34.4 & \textbf{46.2} & 31.7 & 3.9\tabularnewline
\hline 
Nekomud (R16) &  11  &  363  &  807  &  44  &  63  & 7.9 & 10.8 & \textbf{15.1} & 9.1 & 13.6 & \textbf{15.9} & 11.1 & 14.3 & \textbf{19.0} & 1.1\tabularnewline
\hline 
SAT4J Core (2.3.5) &  265  &  17,397  &  41,840  &  3,815  &  6,140  & 46.5 & \textbf{72.9} & 40.4 & 26.7 & \textbf{52.9} & 27.0 & 25.8 & \textbf{55.5} & 26.2 & 2.1\tabularnewline
\hline 
SCCH collection (1.0) &  34  &  1,348  &  2,688  &  292  &  433  & 65.8 & 68.9 & \textbf{76.8} & 56.2 & 62.0 & \textbf{68.2} & 55.9 & 61.2 & \textbf{65.6} & 1.3\tabularnewline
\hline 
Tiny Sql (2.26) &  31  &  7,672  &  20,850  &  2,237  &  2,755  & 25.8 & \textbf{41.5} & 40.3 & 18.0 & 33.4 & \textbf{35.2} & 22.0 & \textbf{36.2} & 33.0 & 1.0\tabularnewline
\hline 
\hline 
Total (avg. $\mu$ for coverage) &  7,346  &  481,602  &  1,222,839  &  110,965  &  163,407  & 46.9 & \textbf{57.7} & 50.6 & 36.5 & \textbf{47.6} & 41.5 & 35.6 & \textbf{45.5} & 36.9 & 2.2\tabularnewline
\hline 
Std deviation $\sigma$ (coverage) & \multicolumn{5}{r||}{} & 22.8 & 20.0 & 20.6 & 18.7 & 17.0 & 21.6 & 21.4 & 20.6 & 19.2 & 2.6\tabularnewline
\hline 
\end{tabular}
